Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibern8ide
Class SimpleFileFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--net.sf.hibern8ide.SimpleFileFilter

public class SimpleFileFilter
extends FileFilter

A convenience implementation of FileFilter that filters out all files except for those type extensions that it knows about. Extensions are of the type ".foo", which is typically found on Windows and Unix boxes, but not on Macinthosh. Case is ignored. Example - create a new filter that filerts out all files but gif and jpg image files: JFileChooser chooser = new JFileChooser(); ExampleFileFilter filter = new ExampleFileFilter( new String{"gif", "jpg"}, "JPEG & GIF Images") chooser.addChoosableFileFilter(filter); chooser.showOpenDialog(this);

Version:
  1.13 06/13/02
Author:
  Jeff Dinkins

Constructor Summary
`SimpleFileFilter()` Creates a file filter.
`SimpleFileFilter(String extension)` Creates a file filter that accepts files with the given extension.
`SimpleFileFilter(String[] filters)` Creates a file filter from the given string array.
`SimpleFileFilter(String[] filters, String description)` Creates a file filter from the given string array and description.
`SimpleFileFilter(String extension, String description)` Creates a file filter that accepts the given file type.

Method Summary
`boolean` | `accept(File f)` Return true if this file should be shown in the directory pane, false if it shouldn't.
`void` | `addExtension(String extension)` Adds a filetype "dot" extension to filter against.
`String` | `getDescription()` Returns the human readable description of this filter.
`String` | `getExtension(File f)` Return the extension portion of the file's name .
`boolean` | `isExtensionListInDescription()` Returns whether the extension list (.jpg, .gif, etc) should show up in the human readable description.
`void` | `setDescription(String description)` Sets the human readable description of this filter.
`void` | `setExtensionListInDescription(boolean b)` Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFileFilter

    public SimpleFileFilter()

  Creates a file filter. If no filters are added, then all files are accepted.

See Also:
  `addExtension(java.lang.String)`

### SimpleFileFilter

    public SimpleFileFilter(String extension)

  Creates a file filter that accepts files with the given extension. Example: new ExampleFileFilter("jpg");

See Also:
  `addExtension(java.lang.String)`

### SimpleFileFilter

    public SimpleFileFilter(String extension,
                            String description)

  Creates a file filter that accepts the given file type. Example: new ExampleFileFilter("jpg", "JPEG Image Images"); Note that the "." before the extension is not needed. If provided, it will be ignored.

See Also:
  `addExtension(java.lang.String)`

### SimpleFileFilter

    public SimpleFileFilter(String[] filters)

  Creates a file filter from the given string array. Example: new ExampleFileFilter(String {"gif", "jpg"}); Note that the "." before the extension is not needed adn will be ignored.

See Also:
  `addExtension(java.lang.String)`

### SimpleFileFilter

    public SimpleFileFilter(String[] filters,
                            String description)

  Creates a file filter from the given string array and description. Example: new ExampleFileFilter(String {"gif", "jpg"}, "Gif and JPG Images"); Note that the "." before the extension is not needed and will be ignored.

See Also:
  `addExtension(java.lang.String)`

Method Detail

### accept

    public boolean accept(File f)

  Return true if this file should be shown in the directory pane, false if it shouldn't. Files that begin with "." are ignored.

  Specified by:
    `accept` in class `FileFilter`
  See Also:
    `getExtension(java.io.File)`, `FileFilter#accepts`

### getExtension

    public String getExtension(File f)

  Return the extension portion of the file's name .

  See Also:
    `getExtension(java.io.File)`, `FileFilter.accept(java.io.File)`

### addExtension

    public void addExtension(String extension)

  Adds a filetype "dot" extension to filter against. For example: the following code will create a filter that filters out all files except those that end in ".jpg" and ".tif": ExampleFileFilter filter = new ExampleFileFilter(); filter.addExtension("jpg"); filter.addExtension("tif"); Note that the "." before the extension is not needed and will be ignored.

### getDescription

    public String getDescription()

  Returns the human readable description of this filter. For example: "JPEG and GIF Image Files (*.jpg, *.gif)"

  Specified by:
    `getDescription` in class `FileFilter`
  See Also:
    `setDescription`, `setExtensionListInDescription`, `isExtensionListInDescription`, `FileFilter.getDescription()`

### setDescription

    public void setDescription(String description)

  Sets the human readable description of this filter. For example: filter.setDescription("Gif and JPG Images");

  See Also:
    `setDescription`, `setExtensionListInDescription`, `isExtensionListInDescription`

### setExtensionListInDescription

    public void setExtensionListInDescription(boolean b)

  Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();

  See Also:
    `getDescription`, `setDescription`, `isExtensionListInDescription`

### isExtensionListInDescription

    public boolean isExtensionListInDescription()

  Returns whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();

  See Also:
    `getDescription`, `setDescription`, `setExtensionListInDescription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD